import React from 'react'
import { Empty, Spin } from 'antd'

export default React.memo(function Container(props) {
  if (props.loading) {
    return <Spin className={props.loadingCls} />
  }
  if (props.empty) {
    return <Empty className={props.emptyCls} description="暂无数据" />
  }
  return props.children
})
